
Infrastructure - Bug #6058

Need default query for cn_log_index

2014-08-20 19:58 - Robert Waltz

Status: Closed Start date: 2014-08-20

Priority: Normal Due date: 2014-10-17

Assignee: Skye Roseboom % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-1.4.1   

Milestone: CCI-1.4 Story Points:  

Product Version: *   

Description

NPE reported here: https://cn-orc-1.dataone.org/cn/v1/query/logsolr/

logsolr should have a default query assigned such that 

https://cn-orc-1.dataone.org/cn/v1/query/logsolr/?q=*:* or something similar is returned when /cn/v1/query/logsolr/ is hit

Related issues:

Related to Infrastructure - Story #6500: CCI 1.4.1 Release Closed 2014-10-08 2014-10-17

History

#1 - 2014-09-04 02:00 - Robert Waltz

- Due date changed from 2014-08-20 to 2014-09-04

- Product Version changed from 1.4.0 to *

- Target version changed from 2014.30-Block.4.3 to Release Backlog

#2 - 2014-09-24 17:56 - Dave Vieglais

- Target version changed from Release Backlog to CCI-1.4.1

- Due date changed from 2014-09-04 to 2014-09-24

#3 - 2014-09-24 18:31 - Robert Waltz

- Target version changed from CCI-1.4.1 to CCI-1.4.2

#4 - 2014-10-02 19:34 - Robert Waltz

- Target version changed from CCI-1.4.2 to CCI-1.4.1

- Due date changed from 2014-09-24 to 2014-10-02

#5 - 2014-10-02 20:20 - Robert Waltz

- Assignee changed from Robert Waltz to Skye Roseboom

#6 - 2014-10-02 20:32 - Robert Waltz

- Due date changed from 2014-10-02 to 2014-10-17

- translation missing: en.field_story_points set to 1.0

#7 - 2014-10-02 20:32 - Robert Waltz

- translation missing: en.field_story_points deleted (1.0)

#8 - 2014-10-06 16:38 - Skye Roseboom

- Status changed from New to In Progress
#9 - 2014-10-06 16:39 - Skye Roseboom

- Status changed from In Progress to Testing

added default query param (q=:) to log's /search handler configuration.

Committed to trunk and release branch for dataone-cn-solr product (1.3 release branch)

Also increased control file versions to represent next release.

#10 - 2014-10-07 22:42 - Skye Roseboom

Tested in cn-sandbox environment.   Looks fixed!

#11 - 2014-11-04 00:05 - Skye Roseboom

Tested in cn-stage environment - default query present.

#12 - 2014-11-06 22:55 - Skye Roseboom

- Status changed from Testing to Closed

tested in production - fixed
